html, body { font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif; }
a, .btn-link { color: #006bb7; }
.btn-primary { color: #fff; background-color: #1b6ec2; border-color: #1861ac; }
.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus { box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb; }
.content { padding-top: 1.1rem; }
h1:focus { outline: none; }
.valid.modified:not([type=checkbox]) { outline: 1px solid #26b050; }
.invalid { outline: 1px solid #e50000; }
.validation-message { color: #e50000; }
.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}
.blazor-error-boundary::after { content: "An error has occurred." }
.darker-border-checkbox.form-check-input { border-color: #929292; }
:root {
    --rz-primary: #4340d2;
}
.w-100 { width: 100% !important }

/* rz */
.rz-form-field.rz-border-none .rz-form-field-content,
.rz-form-field.rz-border-none .rz-form-field-content:focus { border: none; }
.rz-form-field.rz-border-none .rz-form-field-content:focus-within { border: none; box-shadow: none;}
.rz-card .rz-stack .rz-button.s88-btn { margin-left: 0.5rem !important; margin-top: 0.5rem !important; }
/* end rz */

/* s88 */
.s88-dialog .rz-dialog-titlebar { background-color: var(--rz-primary) !important; padding: 1.1rem !important; }
.s88-dialog .rz-dialog-titlebar .rz-dialog-title { color: white; }
.s88-dialog .rz-dialog-content .rz-card { margin: 1rem auto !important }

.s88-filter-group { padding: 0.2rem 0 !important; border: none !important }
.s88-justify-content-right { justify-content: right !important }
/*.s88-btn { color: #fff !important; background-color: var(--s88-theme-color) !important; border-color: #1861ac !important; }*/
.s88-btn-create { float: right !important;}
.s88-filter-group { padding: 10px; margin-bottom: 10px; }
.s88-filter-group .s88-filter-group-row { display: flex !important; align-items: center !important; }
.s88-filter-group .s88-filter-group-col { display: flex !important; align-items: center !important; gap: 0.5rem }
/* end s88 */

/* Permission Tree */
.tree { --spacing: 1.5rem; --radius: 10px; }
.tree ul { margin-left: calc(var(--radius) - var(--spacing)); padding-left: 0; }
.tree li {  display: block; position: relative; padding-left: calc(2 * var(--spacing) - var(--radius) - 2px); }
.tree > li.tree-branch > button { margin-left: -1rem; }
.tree li.tree-branch button { outline: none; box-shadow: none; background: none; border: none; }
.tree ul li:last-child { border-color: transparent; }
.tree ul li::before { content: ''; display: block; position: absolute; top: calc(var(--spacing) / -2); left: 8px; width: calc(var(--spacing) + 2px); height: calc(var(--spacing) + 1px); border: solid #ddd; border-width: 0 0 2px 2px; }
.tree ul li.leaf::before { width: calc(var(--spacing) + 2px); }
.tree ul li.tree-branch::before { width: 0.7rem; }
.tree ul li.tree-branch > button.btn { margin-left: -1rem; }
.tree .tree-branch { display: block; cursor: pointer; }
.tree .tree-branch::marker, .tree .tree-branch::-webkit-details-marker { display: none; }
.tree .tree-branch:focus { outline: none; }
.tree .tree-branch:focus-visible { outline: 1px dotted #000; }
.tree .tree-branch >.form-check-input { margin-bottom: 0.75rem; }
/* end Permission Tree */